<template>
    <router-view />
</template>


<script>

export default {
    name: 'App',
    // components: {
    // },
    // data() {
    //     return {
    //         api_token: 'keykl3tMFSnwH2gmc'
    //     }
    // },
    // created() {
    // },
    // methods: {
    //     getLists() {
    //         const url = this.getApiURL('list');
    //         axios.get(url).then((response) => {
    //             console.log(response);
    //         })
    //         /*
    //         @todo complete this method, send GET request using "lists" url inside getApiURL method
    //         */
    //     },
    //     storeRows(data) {
    //         /* data structure {
    //             name: "Paul",
    //             ids: ["asdf32fad","234aassdf32fad"]
    //         }
    //         */
    //         /*
    //         @todo complete this method, use once request (like storeRow)
    //     */
    //     },
    //     /* send POST request using "friendRequest" url inside getApiURL method */
    //     storeRow(data) {
    //         const config = {
    //             headers: {
    //                 Authorization: `Bearer ${this.api_token}`,
    //                 'Content-Type': 'application/json'
    //             }
    //         };
    //         const bodyParameters = {
    //             "records": [
    //                 {
    //                     "fields": {
    //                         "From": data.name, // your name
    //                         "To": [
    //                             data.id // member ID (use lists request to show possible values)
    //                         ]
    //                     }
    //                 }
    //             ]
    //         };
    //         /*
    //         @todo complete this method, send POST request using header and body parameters
    //         */
    //     },
    //     getApiURL(model) {
    //         switch (model) {
    //             case "lists":
    //                 return "https://api.airtable.com/v0/app7cLoZ4xMOrQvKR/tblWcsEyTOIf47ZuQ?api_key=" + this.api_token;
    //             case "friendRequest":
    //                 return "https://api.airtable.com/v0/app7cLoZ4xMOrQvKR/Friend%20request";
    //             default:
    //                 return "";
    //         }
    //     }
    // }
}
</script>

<style lang="scss">
@import "./assets/scss/_variables.scss";

body {
    height: 100vh;
    overflow: hidden;
}

#app {
    height: 100%;
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: $text-primary;
    background-color: $bg-primary;
    background-image: url('~@/assets/images/Big-G.svg');
    background-position: 90% 50%;
    background-repeat: no-repeat;
    padding: 2em 0 3em 0;
}
</style>
